/* 
 * There function used for recognizing word, gramatical errors on it
 *
 * Originally developed by Alphex Kaanoken <kaanoken@crew.org.ru>
 * 
 * Licensed under CIPL and GPL.
 *
 * (c) Crew IT Research Labs 2004 
 *
 * NOTE: This is a part of XNeural Switch project, more info on 
 * web: http://xneur.cidnet.crew.org.ru
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "analisys.h"

/*types definion*/

typedef struct _WError {
  int __id;
  int type;
  int point;
  int e_point;
  struct TwiCh tw;
  struct TriCh tr;
} WError;

typedef struct _WGramaticalError {
  int __id;
  char *word;
  SList *error;
  SList *pos_words;
} WGramaticalError;


