/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Originally written by Art Vodolazsky <burivuh@crew.org.ru>
 *  some functions, code cleanup by Alphex Kaanoken <kaanoken@crew.org.ru>
 *
 *  (c) Crew IT Research Labs 2004
 *
 */

#ifndef _UTILITIES_H
#define _UTILITIES_H

#include "types.h"

char *GetLastWord (char *string);

size numOfSymbols (char *str);

char *StrLastSpaceToken (char *src);

char get_ascii (char *symbol_str);
bool isUpperNonAlphaCyr (char symbol);
bool isLowerNonAlphaCyr (char symbol);
char getLowerCyrNonAlpha (char symbol);


#endif /* _UTILITIES_H */
